import gleam/result

import apkallone
import apkallone/internal
import mastodon/model/instance.{type Instance}

pub fn get_instance(
  client: apkallone.Client,
) -> Result(Instance, apkallone.Error) {
  use req <- result.try(internal.prepare_request(client, "/api/v2/instance"))
  use res <- result.try(internal.send_request(req))
  internal.decode_response(res, instance.decode)
}
